CREATE TABLE mpn_v2_domaines (
   code int(11) DEFAULT '0' NOT NULL auto_increment,
   domaine char(20) NOT NULL,
   description char(50) NOT NULL,
   PRIMARY KEY (code)
);

INSERT INTO domaines VALUES( '1', 'ac', 'Ascension Island');
INSERT INTO domaines VALUES( '2', 'ad', 'Andorra');
INSERT INTO domaines VALUES( '3', 'ae', 'United Arab Emirates');
INSERT INTO domaines VALUES( '4', 'af', 'Afghanistan');
INSERT INTO domaines VALUES( '5', 'ag', 'Antigua and Barbuda');
INSERT INTO domaines VALUES( '6', 'ai', 'Anguilla');
INSERT INTO domaines VALUES( '7', 'al', 'Albania');
INSERT INTO domaines VALUES( '8', 'am', 'Armenia');
INSERT INTO domaines VALUES( '9', 'an', 'Netherlands Antilles');
INSERT INTO domaines VALUES( '10', 'ao', 'Angola');
INSERT INTO domaines VALUES( '11', 'aq', 'Antartica');
INSERT INTO domaines VALUES( '12', 'ar', 'Argentina');
INSERT INTO domaines VALUES( '13', 'as', 'American Samoa');
INSERT INTO domaines VALUES( '14', 'au', 'Australia');
INSERT INTO domaines VALUES( '15', 'aw', 'Aruba');
INSERT INTO domaines VALUES( '16', 'az', 'Azerbaijan');
INSERT INTO domaines VALUES( '17', 'ba', 'Bosnia and Herzegovina');
INSERT INTO domaines VALUES( '18', 'bb', 'Barbados');
INSERT INTO domaines VALUES( '19', 'bd', 'Bangladesh');
INSERT INTO domaines VALUES( '20', 'be', 'Belgium');
INSERT INTO domaines VALUES( '21', 'bf', 'Burkina Faso');
INSERT INTO domaines VALUES( '22', 'bg', 'Bulgaria');
INSERT INTO domaines VALUES( '23', 'bh', 'Bahrain');
INSERT INTO domaines VALUES( '24', 'bi', 'Burundi');
INSERT INTO domaines VALUES( '25', 'bj', 'Benin');
INSERT INTO domaines VALUES( '26', 'bm', 'Bermuda');
INSERT INTO domaines VALUES( '27', 'bn', 'Brunei Darussalam');
INSERT INTO domaines VALUES( '28', 'bo', 'Bolivia');
INSERT INTO domaines VALUES( '29', 'br', 'Brazil');
INSERT INTO domaines VALUES( '30', 'bs', 'Bahamas');
INSERT INTO domaines VALUES( '31', 'bt', 'Bhutan');
INSERT INTO domaines VALUES( '32', 'bv', 'Bouvet Island');
INSERT INTO domaines VALUES( '33', 'bw', 'Botswana');
INSERT INTO domaines VALUES( '34', 'by', 'Belarus');
INSERT INTO domaines VALUES( '35', 'bz', 'Belize');
INSERT INTO domaines VALUES( '36', 'ca', 'Canada');
INSERT INTO domaines VALUES( '37', 'cc', 'Cocos (Keeling) Islands');
INSERT INTO domaines VALUES( '38', 'cd', 'Congo, Democratic People''s Republic');
INSERT INTO domaines VALUES( '39', 'cf', 'Central African Republic');
INSERT INTO domaines VALUES( '40', 'cg', 'Congo, Republic of');
INSERT INTO domaines VALUES( '41', 'ch', 'Switzerland');
INSERT INTO domaines VALUES( '42', 'ci', 'Cote d''Ivoire');
INSERT INTO domaines VALUES( '43', 'ck', 'Cook Islands');
INSERT INTO domaines VALUES( '44', 'cl', 'Chile');
INSERT INTO domaines VALUES( '45', 'cm', 'Cameroon');
INSERT INTO domaines VALUES( '46', 'cn', 'China');
INSERT INTO domaines VALUES( '47', 'co', 'Colombia');
INSERT INTO domaines VALUES( '48', 'cr', 'Costa Rica');
INSERT INTO domaines VALUES( '49', 'cu', 'Cuba');
INSERT INTO domaines VALUES( '50', 'cv', 'Cap Verde');
INSERT INTO domaines VALUES( '51', 'cx', 'Christmas Island');
INSERT INTO domaines VALUES( '52', 'cy', 'Cyprus');
INSERT INTO domaines VALUES( '53', 'cz', 'Czeck Republic');
INSERT INTO domaines VALUES( '54', 'de', 'Germany');
INSERT INTO domaines VALUES( '55', 'dj', 'Djibouti');
INSERT INTO domaines VALUES( '56', 'dk', 'Denmark');
INSERT INTO domaines VALUES( '57', 'dm', 'Dominica');
INSERT INTO domaines VALUES( '58', 'do', 'Dominican Republic');
INSERT INTO domaines VALUES( '59', 'dz', 'Algeria');
INSERT INTO domaines VALUES( '60', 'ec', 'Ecuador');
INSERT INTO domaines VALUES( '61', 'ee', 'Estonia');
INSERT INTO domaines VALUES( '62', 'eg', 'Egypt');
INSERT INTO domaines VALUES( '63', 'eh', 'Western Sahara');
INSERT INTO domaines VALUES( '64', 'er', 'Eritrea');
INSERT INTO domaines VALUES( '65', 'es', 'Spain');
INSERT INTO domaines VALUES( '66', 'et', 'Ethiopia');
INSERT INTO domaines VALUES( '67', 'fi', 'Finland');
INSERT INTO domaines VALUES( '68', 'fj', 'Fiji');
INSERT INTO domaines VALUES( '69', 'fk', 'Falkland Islands (Malvina)');
INSERT INTO domaines VALUES( '70', 'fm', 'Micronesia, Federal State of');
INSERT INTO domaines VALUES( '71', 'fo', 'Faroe Islands');
INSERT INTO domaines VALUES( '72', 'fr', 'France');
INSERT INTO domaines VALUES( '73', 'ga', 'Gabon');
INSERT INTO domaines VALUES( '74', 'gd', 'Grenada');
INSERT INTO domaines VALUES( '75', 'ge', 'Georgia');
INSERT INTO domaines VALUES( '76', 'gf', 'French Guiana');
INSERT INTO domaines VALUES( '77', 'gg', 'Guernsey');
INSERT INTO domaines VALUES( '78', 'gh', 'Ghana');
INSERT INTO domaines VALUES( '79', 'gi', 'Gibraltar');
INSERT INTO domaines VALUES( '80', 'gl', 'Greenland');
INSERT INTO domaines VALUES( '81', 'gm', 'Gambia');
INSERT INTO domaines VALUES( '82', 'gn', 'Guinea');
INSERT INTO domaines VALUES( '83', 'gp', 'Guadeloupe');
INSERT INTO domaines VALUES( '84', 'gq', 'Equatorial Guinea');
INSERT INTO domaines VALUES( '85', 'gr', 'Greece');
INSERT INTO domaines VALUES( '86', 'gs', 'South Georgia and the South Sandwich Islands');
INSERT INTO domaines VALUES( '87', 'gt', 'Guatemala');
INSERT INTO domaines VALUES( '88', 'gu', 'Guam');
INSERT INTO domaines VALUES( '89', 'gw', 'Guinea-Bissau');
INSERT INTO domaines VALUES( '90', 'gy', 'Guyana');
INSERT INTO domaines VALUES( '91', 'hk', 'Hong Kong');
INSERT INTO domaines VALUES( '92', 'hm', 'Heard and McDonald Islands');
INSERT INTO domaines VALUES( '93', 'hn', 'Honduras');
INSERT INTO domaines VALUES( '94', 'hr', 'Croatia/Hrvatska');
INSERT INTO domaines VALUES( '95', 'ht', 'Haiti');
INSERT INTO domaines VALUES( '96', 'hu', 'Hungary');
INSERT INTO domaines VALUES( '97', 'id', 'Indonesia');
INSERT INTO domaines VALUES( '98', 'ie', 'Ireland');
INSERT INTO domaines VALUES( '99', 'il', 'Israel');
INSERT INTO domaines VALUES( '100', 'im', 'Isle of Man');
INSERT INTO domaines VALUES( '101', 'in', 'India');
INSERT INTO domaines VALUES( '102', 'io', 'British Indian Ocean Territory');
INSERT INTO domaines VALUES( '103', 'iq', 'Iraq');
INSERT INTO domaines VALUES( '104', 'ir', 'Iran (Islamic Republic of)');
INSERT INTO domaines VALUES( '105', 'is', 'Iceland');
INSERT INTO domaines VALUES( '106', 'it', 'Italy');
INSERT INTO domaines VALUES( '107', 'je', 'Jersey');
INSERT INTO domaines VALUES( '108', 'jm', 'Jamaica');
INSERT INTO domaines VALUES( '109', 'jo', 'Jordan');
INSERT INTO domaines VALUES( '110', 'jp', 'Japan');
INSERT INTO domaines VALUES( '111', 'ke', 'Kenya');
INSERT INTO domaines VALUES( '112', 'kg', 'Kyrgyzstan');
INSERT INTO domaines VALUES( '113', 'kh', 'Cambodia');
INSERT INTO domaines VALUES( '114', 'ki', 'Kiribati');
INSERT INTO domaines VALUES( '115', 'km', 'Comoros');
INSERT INTO domaines VALUES( '116', 'kn', 'Saint Kitts and Nevis');
INSERT INTO domaines VALUES( '117', 'kp', 'Korea, Democratic People''s Republic');
INSERT INTO domaines VALUES( '118', 'kr', 'Korea, Republic of');
INSERT INTO domaines VALUES( '119', 'kw', 'Kuwait');
INSERT INTO domaines VALUES( '120', 'ky', 'Cayman Islands');
INSERT INTO domaines VALUES( '121', 'kz', 'Kazakhstan');
INSERT INTO domaines VALUES( '122', 'la', 'Lao, People''s Democratic Republic');
INSERT INTO domaines VALUES( '123', 'lb', 'Lebanon');
INSERT INTO domaines VALUES( '124', 'lc', 'Saint Lucia');
INSERT INTO domaines VALUES( '125', 'li', 'Liechtenstein');
INSERT INTO domaines VALUES( '126', 'lk', 'Sri Lanka');
INSERT INTO domaines VALUES( '127', 'lr', 'Liberia');
INSERT INTO domaines VALUES( '128', 'ls', 'Lesotho');
INSERT INTO domaines VALUES( '129', 'lt', 'Lithuania');
INSERT INTO domaines VALUES( '130', 'lu', 'Luxembourg');
INSERT INTO domaines VALUES( '131', 'lv', 'Latvia');
INSERT INTO domaines VALUES( '132', 'ly', 'Libyan Arab Jamahiriya');
INSERT INTO domaines VALUES( '133', 'ma', 'Morocco');
INSERT INTO domaines VALUES( '134', 'mc', 'Monaco');
INSERT INTO domaines VALUES( '135', 'md', 'Moldova, Republic of');
INSERT INTO domaines VALUES( '136', 'mg', 'Madagascar');
INSERT INTO domaines VALUES( '137', 'mh', 'Marshall Islands');
INSERT INTO domaines VALUES( '138', 'mk', 'Macedonia, Former Yugoslav Republic');
INSERT INTO domaines VALUES( '139', 'ml', 'Mali');
INSERT INTO domaines VALUES( '140', 'mm', 'Myanmar');
INSERT INTO domaines VALUES( '141', 'mn', 'Mongolia');
INSERT INTO domaines VALUES( '142', 'mo', 'Macau');
INSERT INTO domaines VALUES( '143', 'mp', 'Northern Mariana Islands');
INSERT INTO domaines VALUES( '144', 'mq', 'Martinique');
INSERT INTO domaines VALUES( '145', 'mr', 'Mauritania');
INSERT INTO domaines VALUES( '146', 'ms', 'Montserrat');
INSERT INTO domaines VALUES( '147', 'mt', 'Malta');
INSERT INTO domaines VALUES( '148', 'mu', 'Mauritius');
INSERT INTO domaines VALUES( '149', 'mv', 'Maldives');
INSERT INTO domaines VALUES( '150', 'mw', 'Malawi');
INSERT INTO domaines VALUES( '151', 'mx', 'Mexico');
INSERT INTO domaines VALUES( '152', 'my', 'Malaysia');
INSERT INTO domaines VALUES( '153', 'mz', 'Mozambique');
INSERT INTO domaines VALUES( '154', 'na', 'Namibia');
INSERT INTO domaines VALUES( '155', 'nc', 'New Caledonia');
INSERT INTO domaines VALUES( '156', 'ne', 'Niger');
INSERT INTO domaines VALUES( '157', 'nf', 'Norfolk Island');
INSERT INTO domaines VALUES( '158', 'ng', 'Nigeria');
INSERT INTO domaines VALUES( '159', 'ni', 'Nicaragua');
INSERT INTO domaines VALUES( '160', 'nl', 'Netherlands');
INSERT INTO domaines VALUES( '161', 'no', 'Norway');
INSERT INTO domaines VALUES( '162', 'np', 'Nepal');
INSERT INTO domaines VALUES( '163', 'nr', 'Nauru');
INSERT INTO domaines VALUES( '164', 'nu', 'Niue');
INSERT INTO domaines VALUES( '165', 'nz', 'New Zealand');
INSERT INTO domaines VALUES( '166', 'om', 'Oman');
INSERT INTO domaines VALUES( '167', 'pa', 'Panama');
INSERT INTO domaines VALUES( '168', 'pe', 'Peru');
INSERT INTO domaines VALUES( '169', 'pf', 'French Polynesia');
INSERT INTO domaines VALUES( '170', 'pg', 'Papua New Guinea');
INSERT INTO domaines VALUES( '171', 'ph', 'Philippines');
INSERT INTO domaines VALUES( '172', 'pk', 'Pakistan');
INSERT INTO domaines VALUES( '173', 'pl', 'Poland');
INSERT INTO domaines VALUES( '174', 'pm', 'St. Pierre and Miquelon');
INSERT INTO domaines VALUES( '175', 'pn', 'Pitcairn Island');
INSERT INTO domaines VALUES( '176', 'pr', 'Puerto Rico');
INSERT INTO domaines VALUES( '177', 'pt', 'Portugal');
INSERT INTO domaines VALUES( '178', 'pw', 'Palau');
INSERT INTO domaines VALUES( '179', 'py', 'Paraguay');
INSERT INTO domaines VALUES( '180', 'qa', 'Qatar');
INSERT INTO domaines VALUES( '181', 're', 'Reunion Island');
INSERT INTO domaines VALUES( '182', 'ro', 'Romania');
INSERT INTO domaines VALUES( '183', 'ru', 'Russian Federation');
INSERT INTO domaines VALUES( '184', 'rw', 'Rwanda');
INSERT INTO domaines VALUES( '185', 'sa', 'Saudi Arabia');
INSERT INTO domaines VALUES( '186', 'sb', 'Solomon Islands');
INSERT INTO domaines VALUES( '187', 'sc', 'Seychelles');
INSERT INTO domaines VALUES( '188', 'sd', 'Sudan');
INSERT INTO domaines VALUES( '189', 'se', 'Sweden');
INSERT INTO domaines VALUES( '190', 'sg', 'Singapore');
INSERT INTO domaines VALUES( '191', 'sh', 'St. Helena');
INSERT INTO domaines VALUES( '192', 'si', 'Slovenia');
INSERT INTO domaines VALUES( '193', 'sj', 'Svalbard and Jan Mayen Islands');
INSERT INTO domaines VALUES( '194', 'sk', 'Slovak Republic');
INSERT INTO domaines VALUES( '195', 'sl', 'Sierra Leone');
INSERT INTO domaines VALUES( '196', 'sm', 'San Marino');
INSERT INTO domaines VALUES( '197', 'sn', 'Senegal');
INSERT INTO domaines VALUES( '198', 'so', 'Somalia');
INSERT INTO domaines VALUES( '199', 'sr', 'Suriname');
INSERT INTO domaines VALUES( '200', 'st', 'Sao Tome and Principe');
INSERT INTO domaines VALUES( '201', 'sv', 'El Salvador');
INSERT INTO domaines VALUES( '202', 'sy', 'Syrian Arab Republic');
INSERT INTO domaines VALUES( '203', 'sz', 'Swaziland');
INSERT INTO domaines VALUES( '204', 'tc', 'Turks and Ciacos Islands');
INSERT INTO domaines VALUES( '205', 'td', 'Chad');
INSERT INTO domaines VALUES( '206', 'tf', 'French Southern Territories');
INSERT INTO domaines VALUES( '207', 'tg', 'Togo');
INSERT INTO domaines VALUES( '208', 'th', 'Thailand');
INSERT INTO domaines VALUES( '209', 'tj', 'Tajikistan');
INSERT INTO domaines VALUES( '210', 'tk', 'Tokelau');
INSERT INTO domaines VALUES( '211', 'tm', 'Turkmenistan');
INSERT INTO domaines VALUES( '212', 'tn', 'Tunisia');
INSERT INTO domaines VALUES( '213', 'to', 'Tonga');
INSERT INTO domaines VALUES( '214', 'tp', 'East Timor');
INSERT INTO domaines VALUES( '215', 'tr', 'Turkey');
INSERT INTO domaines VALUES( '216', 'tt', 'Trinidad and Tobago');
INSERT INTO domaines VALUES( '217', 'tv', 'Tuvalu');
INSERT INTO domaines VALUES( '218', 'tw', 'Taiwan');
INSERT INTO domaines VALUES( '219', 'tz', 'Tanzania');
INSERT INTO domaines VALUES( '220', 'ua', 'Ukraine');
INSERT INTO domaines VALUES( '221', 'ug', 'Uganda');
INSERT INTO domaines VALUES( '222', 'uk', 'United Kingdom');
INSERT INTO domaines VALUES( '223', 'gb', 'United Kingdom');
INSERT INTO domaines VALUES( '224', 'um', 'US Minor Outlying Islands');
INSERT INTO domaines VALUES( '225', 'us', 'United States');
INSERT INTO domaines VALUES( '226', 'uy', 'Uruguay');
INSERT INTO domaines VALUES( '227', 'uz', 'Uzbekistan');
INSERT INTO domaines VALUES( '228', 'va', 'Holy See (City Vatican State)');
INSERT INTO domaines VALUES( '229', 'vc', 'Saint Vincent and the Grenadines');
INSERT INTO domaines VALUES( '230', 've', 'Venezuela');
INSERT INTO domaines VALUES( '231', 'vg', 'Virgin Islands (British)');
INSERT INTO domaines VALUES( '232', 'vi', 'Virgin Islands (USA)');
INSERT INTO domaines VALUES( '233', 'vn', 'Vietnam');
INSERT INTO domaines VALUES( '234', 'vu', 'Vanuatu');
INSERT INTO domaines VALUES( '235', 'wf', 'Wallis and Futuna Islands');
INSERT INTO domaines VALUES( '236', 'ws', 'Western Samoa');
INSERT INTO domaines VALUES( '237', 'ye', 'Yemen');
INSERT INTO domaines VALUES( '238', 'yt', 'Mayotte');
INSERT INTO domaines VALUES( '239', 'yu', 'Yugoslavia');
INSERT INTO domaines VALUES( '240', 'za', 'South Africa');
INSERT INTO domaines VALUES( '241', 'zm', 'Zambia');
INSERT INTO domaines VALUES( '242', 'zr', 'Zaire');
INSERT INTO domaines VALUES( '243', 'zw', 'Zimbabwe');
INSERT INTO domaines VALUES( '244', 'com', '-');
INSERT INTO domaines VALUES( '245', 'net', '-');
INSERT INTO domaines VALUES( '246', 'org', '-');
INSERT INTO domaines VALUES( '247', 'edu', '-');
INSERT INTO domaines VALUES( '248', 'int', '-');
INSERT INTO domaines VALUES( '249', 'arpa', '-');
INSERT INTO domaines VALUES( '250', 'at', 'Austria');
INSERT INTO domaines VALUES( '251', 'gov', 'Governement');
INSERT INTO domaines VALUES( '252', 'mil', 'Military');
INSERT INTO domaines VALUES( '253', 'su', 'Ex U.S.R.R.');
INSERT INTO domaines VALUES( '254', 'reverse', '-');
